Bug 1302755 - Latest NM-vpnc updates break VPN connection
Latest NM-vpnc updates break VPN connection
Status: CLOSED DUPLICATE of bug 1298732
Product: Fedora EPEL
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
epel7
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 09:42 EST by Alexander Todorov
Modified: 2016-04-14 03:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 03:44:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2016-01-28 09:42:37 EST
This started happening with NetworkManager-vpnc-1.0.8-1.el7.x86_64 from EPEL and 
NetworkManager-1.0.6-27.el7.x86_64 on RHEL 7.2

Steps to reproduce:

1) yum update NetworkManager-vpnc*
2) reboot (sometimes without reboot the issue isn't visible)
3) After reboot connect to network. I'm using WiFi. 
4) Try to connect to VPN

Expected results:
VPN connection is established

Actual results:
After I enter my security credentials the VPN connection is dropped immediately. I will attach a debug log with more info.
Comment 1 Alexander Todorov 2016-01-28 09:44:52 EST
Btw the problem goes away if I downgrade to NetworkManager-vpnc-0.9.9.0-6.git20140428.el7.x86_64
Comment 3 alex 2016-02-05 14:25:26 EST
I am also affected by this, I think that:

#1293890
#1296220
#1298732
#1302755

are all the same issue. I did:

$ sudo yum remove NetworkManager-vpnc-1.0.8-1.el7.x86_64 NetworkManager-vpnc-gnome-1.0.8-1.el7.x86_64
$ sudo yum install https://kojipkgs.fedoraproject.org//packages/NetworkManager-vpnc/0.9.9.0/6.git20140428.el7/x86_64/NetworkManager-vpnc-0.9.9.0-6.git20140428.el7.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/NetworkManager-vpnc/0.9.9.0/6.git20140428.el7/x86_64/NetworkManager-vpnc-gnome-0.9.9.0-6.git20140428.el7.x86_64.rpm

And that solved the issue for me. Can we at least revert to those packages so that life is easier?
Comment 4 Oliver Haessler 2016-02-16 03:42:22 EST
Is there any feedback on this, or acknowledgement of this bug? This issue really blocks the weekly satellite sync for updates for my users, as i always have to remove the 2 broken packages manually.
Comment 5 Oliver Haessler 2016-04-14 03:44:38 EDT

*** This bug has been marked as a duplicate of bug 1298732 ***

Note You need to log in before you can comment on or make changes to this bug.